Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags

The enumeration is used with the and classes.

Specifies network access permissions.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.NetworkAccess Accept

  Indicates that the application is allowed to accept connections from the Internet on a local resource. Notice that this is a protection for the local host that uses Accept to grant access to a local resource (address/port). At the time a socket tries to bind to this local resource a permission check is performed to see if an Accept exists on that resource.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.NetworkAccess Connect

  Indicates that the application is allowed to connect to specific Internet resources. Notice that, in the case of remote host resource, no check is performed to see that Connect permissions exist. This is because the port of a connecting remote host is unknown and not suitable permissions can be built in advance. It is the application responsibility to check the permissions of the remote host trying to connect to a listening socket.

  0
0